apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: database
  namespace: openloyalty
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 20Gi
  selector:
    matchLabels:
      storage-tier: database
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: elasticsearch
  namespace: openloyalty
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 25Gi
  selector:
    matchLabels:
      storage-tier: elasticsearch
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: cache
  namespace: openloyalty
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 5Gi
  selector:
    matchLabels:
      storage-tier: cache

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: logs
  namespace: openloyalty
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 5Gi
  selector:
    matchLabels:
      storage-tier: logs
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: jwt
  namespace: openloyalty
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 10Mi
  selector:
    matchLabels:
      storage-tier: jwt
---
